summaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
Diffstat (limited to 'package')
-rw-r--r--package/adk-test-tools/Makefile2
-rwxr-xr-xpackage/adk-test-tools/files/test.init2
-rw-r--r--package/base-files/Makefile2
-rw-r--r--package/base-files/src/etc/init.d/fs58
-rw-r--r--package/libcec/Makefile4
-rw-r--r--package/libjasper/Makefile2
-rw-r--r--package/qemu/Makefile5
-rw-r--r--package/qemu/patches/patch-linux-user_syscall_c11
-rw-r--r--package/rdate/Makefile2
9 files changed, 42 insertions, 46 deletions
diff --git a/package/adk-test-tools/Makefile b/package/adk-test-tools/Makefile
index 72327170a..80be5a41b 100644
--- a/package/adk-test-tools/Makefile
+++ b/package/adk-test-tools/Makefile
@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= adk-test-tools
PKG_VERSION:= 0.1
-PKG_RELEASE:= 5
+PKG_RELEASE:= 6
PKG_DESCR:= helper tools and scripts for adk-test-framework
PKG_SECTION:= misc
PKG_URL:= http://openadk.org/
diff --git a/package/adk-test-tools/files/test.init b/package/adk-test-tools/files/test.init
index e33bece47..773986dca 100755
--- a/package/adk-test-tools/files/test.init
+++ b/package/adk-test-tools/files/test.init
@@ -2,6 +2,8 @@
#PKG adk-test-tools
#INIT 90
[[ $1 = autostart ]] || exit 0
+echo "Setting time via network ..."
+rdate -nv pool.ntp.org
echo "Starting test script ..."
grep shell /proc/cmdline > /dev/null 2&>1
if [ $? -eq 0 ];then
diff --git a/package/base-files/Makefile b/package/base-files/Makefile
index 2d3525b58..c9a343d59 100644
--- a/package/base-files/Makefile
+++ b/package/base-files/Makefile
@@ -6,7 +6,7 @@ include $(TOPDIR)/mk/rootfs.mk
PKG_NAME:= base-files
PKG_VERSION:= 1.0
-PKG_RELEASE:= 81
+PKG_RELEASE:= 82
PKG_SECTION:= base
PKG_DESCR:= basic files and scripts
diff --git a/package/base-files/src/etc/init.d/fs b/package/base-files/src/etc/init.d/fs
index 8f4397897..e995422ee 100644
--- a/package/base-files/src/etc/init.d/fs
+++ b/package/base-files/src/etc/init.d/fs
@@ -8,46 +8,26 @@
# activate any logical volumes
[ -x /usr/sbin/lvm ] && { lvm vgscan; lvm vgchange -ay; }
+fstypes="ext2 ext3 ext4 xfs"
+
# filesystem checks
-[ -x /sbin/fsck.ext2 ] && {
- for i in $(grep -v "^#" /etc/fstab|grep ext2|awk '{ print $1}');do fsck.ext2 $i;done;
-}
-[ -x /sbin/fsck.ext3 ] && {
- for i in $(grep -v "^#" /etc/fstab|grep ext3|awk '{ print $1}');do fsck.ext3 $i;done;
-}
-[ -x /sbin/fsck.ext4 ] && {
- for i in $(grep -v "^#" /etc/fstab|grep ext4|awk '{ print $1}');do fsck.ext4 $i;done;
-}
-[ -x /sbin/fsck.xfs ] && {
- for i in $(grep -v "^#" /etc/fstab|grep xfs|awk '{ print $1}');do xfs_repair $i;done;
-}
-# local filesystems
-grep ext2 /proc/filesystems >/dev/null 2>&1
-if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep ext2 >/dev/null 2>&1
- if [ $? -eq 0 ];then
- mount -a -t ext2
- fi
-fi
-grep ext3 /proc/filesystems >/dev/null 2>&1
-if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep ext3 >/dev/null 2>&1
- if [ $? -eq 0 ];then
- mount -a -t ext3
- fi
-fi
-grep ext4 /proc/filesystems >/dev/null 2>&1
-if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep ext4 >/dev/null 2>&1
- if [ $? -eq 0 ];then
- mount -a -t ext4
- fi
-fi
-grep xfs /proc/filesystems >/dev/null 2>&1
-if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep xfs >/dev/null 2>&1
+for fs in $fstypes; do
+ [ -x /usr/sbin/fsck.$fs ] && {
+ for i in $(grep -v "^#" /etc/fstab|grep $fs|awk '{ print $1}');do
+ echo "Checking filesystem on $i with $fs"
+ fsck -p -t $fs $i
+ done
+ }
+done
+
+# mount local filesystems
+for fs in $fstypes; do
+ grep $fs /proc/filesystems >/dev/null 2>&1
if [ $? -eq 0 ];then
- mount -a -t xfs
+ grep -v "^#" /etc/fstab |grep $fs >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ mount -a -t $fs
+ fi
fi
-fi
+done
exit 0
diff --git a/package/libcec/Makefile b/package/libcec/Makefile
index 4f07c5bae..e4380c197 100644
--- a/package/libcec/Makefile
+++ b/package/libcec/Makefile
@@ -5,13 +5,13 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= libcec
PKG_VERSION:= 2.1.4
-PKG_RELEASE:= 2
+PKG_RELEASE:= 3
PKG_MD5SUM:= d65e52ab3295e9e4b73bf4580f3bd4f7
PKG_DESCR:= control your device with your TV remote control
PKG_SECTION:= libs
PKG_BUILDDEP:= autotool
PKG_URL:= http://libcec.pulse-eight.com/
-PKG_SITES:= http://www.openadk.org/distfiles
+PKG_SITES:= http://packages.pulse-eight.net/pulse/sources/libcec/
PKG_OPTS:= dev
PKG_DEPENDS_RASPBERRY_PI:= bcm2835-vc
diff --git a/package/libjasper/Makefile b/package/libjasper/Makefile
index fe9bb528f..e4b45a1fd 100644
--- a/package/libjasper/Makefile
+++ b/package/libjasper/Makefile
@@ -20,6 +20,8 @@ include $(TOPDIR)/mk/package.mk
$(eval $(call PKG_template,LIBJASPER,libjasper,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION},${PKG_OPTS}))
+XAKE_FLAGS+= GCC_HONOUR_COPTS=s
+
libjasper-install:
$(INSTALL_DIR) $(IDIR_LIBJASPER)/usr/lib
$(CP) $(WRKINST)/usr/lib/libjasper*.so* \
diff --git a/package/qemu/Makefile b/package/qemu/Makefile
index a43560a74..b4c20b14e 100644
--- a/package/qemu/Makefile
+++ b/package/qemu/Makefile
@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= qemu
PKG_VERSION:= 1.7.1
-PKG_RELEASE:= 1
+PKG_RELEASE:= 2
PKG_MD5SUM:= 9541063d999cf9659ed7fdce71314f31
PKG_DESCR:= cpu and system emulator
PKG_SECTION:= misc
@@ -26,6 +26,9 @@ include $(TOPDIR)/mk/package.mk
$(eval $(call HOST_template,QEMU,qemu,$(PKG_VERSION)-${PKG_RELEASE}))
$(eval $(call PKG_template,QEMU,qemu,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+ifeq ($(ADK_TARGET_LIB_MUSL),y)
+TARGET_CFLAGS+= -DF_EXLCK=4 -DF_SHLCK=8 -D__SIGRTMIN=32 -D__SIGRTMAX=\(NSIG-1\)
+endif
CONFIG_STYLE:= minimal
CONFIGURE_ARGS+= --host-cc=$(CC_FOR_BUILD) \
--cross-prefix=$(GNU_TARGET_NAME)- \
diff --git a/package/qemu/patches/patch-linux-user_syscall_c b/package/qemu/patches/patch-linux-user_syscall_c
index aa243b148..11188ca90 100644
--- a/package/qemu/patches/patch-linux-user_syscall_c
+++ b/package/qemu/patches/patch-linux-user_syscall_c
@@ -1,5 +1,5 @@
--- qemu-1.7.1.orig/linux-user/syscall.c 2014-03-25 15:01:10.000000000 +0100
-+++ qemu-1.7.1/linux-user/syscall.c 2014-04-02 16:56:13.483513278 +0200
++++ qemu-1.7.1/linux-user/syscall.c 2014-04-04 16:51:08.292546548 +0200
@@ -63,6 +63,7 @@ int __clone2(int (*fn)(void *), void *ch
//#include <sys/user.h>
#include <netinet/ip.h>
@@ -24,3 +24,12 @@
#include <linux/kd.h>
#include <linux/mtio.h>
#include <linux/fs.h>
+@@ -400,7 +409,7 @@ static int sys_inotify_init1(int flags)
+ #endif
+ #define __NR_sys_ppoll __NR_ppoll
+ _syscall5(int, sys_ppoll, struct pollfd *, fds, nfds_t, nfds,
+- struct timespec *, timeout, const __sigset_t *, sigmask,
++ struct timespec *, timeout, const sigset_t *, sigmask,
+ size_t, sigsetsize)
+ #endif
+
diff --git a/package/rdate/Makefile b/package/rdate/Makefile
index a37cbdfbc..30848af15 100644
--- a/package/rdate/Makefile
+++ b/package/rdate/Makefile
@@ -7,7 +7,7 @@ PKG_NAME:= rdate
PKG_VERSION:= 20070817
PKG_RELEASE:= 4
PKG_MD5SUM:= 9a6489d7de4311678a3fab001bb503df
-PKG_DESCR:= A small rdate and NTP client
+PKG_DESCR:= small rdate and NTP client
PKG_SECTION:= ntp
PKG_SITES:= ${MASTER_SITE_MIRBSD:distfiles/=dist/mir/rdate/}